@import url(/admonitions.css);
@import url("https://fonts.googleapis.com/css2?family=Poppins:wght@300;400&display=swap");
@import url("https://fonts.googleapis.com/css2?family=PT+Mono&family=Source+Code+Pro:ital,wght@0,200..900;1,200..900&display=swap");

body {
  font-family: "Poppins", sans-serif;
  display: flex;
  flex-direction: column;
  margin: 0.25in;
}

h1,
h2,
h3 {
  margin-bottom: 1%;
}

h1 {
  text-align: center;
  font-weight: 900;
}

hr {
  border: 0.4px solid silver;
  width: 100%;
}

/* Code Blocks */

code {
  font-family: "Source Code Pro", monospace;
  font-size: 14px;
  padding: 0.25em 0.5em 0.25em 0.5em;
  margin: 0.125em;
  border-radius: 4px;
  background-color: rgba(234, 234, 234, 0.6);
}

.code-snippet {
  font-family: "Source Code Pro", monospace;
  font-size: 14px;
  padding: 0.25em 0.5em 0.25em 0.5em;
  margin: 0.125em;
  border-radius: 3px;
  background-color: rgb(68, 68, 68);
  width: 95%;
  color: rgb(221, 221, 221);
}

.code-snippet .string {
  color: rgb(165, 214, 255);
}

.code-snippet .comment {
  color: rgb(139, 148, 158);
}

.code-snippet .keyword {
  color: rgb(255, 123, 114);
}

.code-snippet .function {
  color: rgb(210, 168, 255);
}

.code-snippet .integer {
  color: rgb(121, 192, 255);
}

.code-snippet .built-in {
  color: rgb(255, 166, 87);
}

.text-presentation {
  font-size: 16px;
  text-align: center;
  padding: 1rem;
  margin: 0;
  border: 1px solid #d1d1d1;
}